%bcond_with python

%ifnarch %mips
%bcond_without sharp
%endif

%define major		4
%define api		1.0
%define libname		%mklibname gpod %{major}
%define libnamedev	%mklibname gpod -d

Summary:	Library to access an iPod audio player
Name:		libgpod
Version:	0.8.3
Release:	%mkrel 28
License:	LGPLv2+
Group:		System/Libraries
Url:		http://www.gtkpod.org/
Source0:	https://prdownloads.sourceforge.net/gtkpod/%{name}-%{version}.tar.bz2
Patch0:		libgpod-fixswig.patch
Patch1:		libgpod-0.8.3-mono4.patch
Patch2:		libgpod-0.8.3-disable-tests.patch
Patch3:		libgpod-0.8.3-fix-segfault-and-some-typos.patch
Patch5: 	0001-configure.ac-Add-support-for-libplist-2.2.patch
Patch6: 	libgpod-0.8.3-implicit-int.patch
Patch7: 	pointer-types.patch
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libudev)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	libsgutils-devel
BuildRequires:	pkgconfig(taglib)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(libusb-1.0)
BuildRequires:	pkgconfig(libimobiledevice-1.0)
BuildRequires:	pkgconfig(libplist-2.0) >= 2.2.0
BuildRequires:	gtk-doc
BuildRequires:	eject
BuildRequires:	intltool

%description
libgpod is a library meant to abstract access to an iPod content. It
provides an easy to use API to retrieve the list of files and playlist
stored on an iPod, to modify them and to save them back to the iPod.

%package -n %{libname}
Group:		System/Libraries
Summary:	Library to access an iPod audio player
Requires:	eject
Requires:	%{name} >= %{version}-%{release}

%description -n %{libname}
libgpod is a library meant to abstract access to an iPod content. It
provides an easy to use API to retrieve the list of files and playlist
stored on an iPod, to modify them and to save them back to the iPod.

%package -n %{libnamedev}
Group:		Development/C
Summary:	Library to access an iPod audio player
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{libnamedev}
libgpod is a library meant to abstract access to an iPod content. It
provides an easy to use API to retrieve the list of files and playlist
stored on an iPod, to modify them and to save them back to the iPod.

%if %{with python}
%package -n python3-gpod
Group:		Development/Python
Summary:	Python 3 module for iPod access
BuildRequires:	pkgconfig(pygobject-3.0)
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(mutagen)
BuildRequires:	swig
Requires:	python3dist(mutagen)
Requires:	%{libname} = %{version}-%{release}

Provides:	python-gpod = %{version}-%{release}

%description -n python3-gpod
libgpod is a library meant to abstract access to an iPod content. It
provides an easy to use API to retrieve the list of files and playlist
stored on an iPod, to modify them and to save them back to the iPod.

This is a Python 3 binding for libgpod.
%endif

%if %{with sharp}
%package sharp
Group:		Development/Other
Summary:	Mono binding to libgpod for iPod access
BuildRequires:	pkgconfig(mono)
BuildRequires:	gtk-sharp2
BuildRequires:	pkgconfig(gapi-2.0)
Requires:	%{libname} = %{version}-%{release}

%description sharp
libgpod is a library meant to abstract access to an iPod content. It
provides an easy to use API to retrieve the list of files and playlist
stored on an iPod, to modify them and to save them back to the iPod.

This is a Mono binding for libgpod.
%endif

%prep
%autosetup -p1

# support libplist 2.3
sed -e 's|plist_dict_insert_item|plist_dict_set_item|' -i tools/ipod-lockdown.c

%build
autoreconf -fi
%configure \
	--disable-static \
	--enable-udev \
	--with-udev-dir=%{_prefix}/lib/udev \
	--without-hal

%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%if !%{with sharp}
rm -f %{buildroot}/%{_libdir}/pkgconfig/%{name}-sharp.pc
%endif

%find_lang %{name}

%files -f %{name}.lang
%doc README* AUTHORS
%{_bindir}/ipod-read-sysinfo-extended
%{_prefix}/lib/udev/iphone-set-info
%{_prefix}/lib/udev/ipod-set-info
%{_udevrulesdir}/90-libgpod.rules

%files -n %{libname}
%{_libdir}/%{name}.so.%{major}{,.*}

%files -n %{libnamedev}
%doc ChangeLog
%doc %{_datadir}/gtk-doc/html/%{name}
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}-%{api}.pc
%{_includedir}/gpod-%{api}/

%if %{with python}
%files -n python3-gpod
%{python3_sitearch}/gpod/
%endif

%if %{with sharp}
%files sharp
%{_libdir}/pkgconfig/%{name}-sharp.pc
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/%{name}-sharp*
%endif


%changelog
* Mon Jul 07 2025 umeabot <umeabot> 0.8.3-28.mga10
+ Revision: 2248295
- Mageia 10 Mass Rebuild

* Sun Mar 16 2025 wally <wally> 0.8.3-27.mga10
+ Revision: 2164897
- rebuild for libxml2 2.13.6

* Fri Oct 18 2024 ns80 <ns80> 0.8.3-26.mga10
+ Revision: 2108001
- add patches from Fedora to try to fix building with GCC 14

* Thu Aug 31 2023 daviddavid <daviddavid> 0.8.3-25.mga10
+ Revision: 1982794
- add support for libplist >= 2.3
- rebuild for new libplist 2.3.0

* Fri Apr 01 2022 umeabot <umeabot> 0.8.3-24.mga9
+ Revision: 1838818
- Mageia 9 Mass Rebuild

* Mon Sep 21 2020 tv <tv> 0.8.3-23.mga8
+ Revision: 1629213
- rebuild mono fixed mono for proper mono provides & requires...

* Sun Sep 20 2020 tv <tv> 0.8.3-22.mga8
+ Revision: 1628942
- rebuild for new mono

* Sat Jun 20 2020 daviddavid <daviddavid> 0.8.3-21.mga8
+ Revision: 1597891
- rebuild for new libplist 2.2.0 and libimobiledevice 1.3.0
- add upstream patch to add support for libplist 2.2

* Fri May 01 2020 wally <wally> 0.8.3-20.mga8
+ Revision: 1577621
- one more rebuild for 'fixed' libgsutils

* Fri May 01 2020 tv <tv> 0.8.3-19.mga8
+ Revision: 1577601
- rebuild for new libgsutils w/ version in soname

* Sun Feb 16 2020 umeabot <umeabot> 0.8.3-18.mga8
+ Revision: 1533441
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Sep 21 2019 daviddavid <daviddavid> 0.8.3-17.mga8
+ Revision: 1444443
- disable python2 support (and prepare for a future python3 port)

* Sun Sep 23 2018 umeabot <umeabot> 0.8.3-16.mga7
+ Revision: 1298884
- Mageia 7 Mass Rebuild

* Sun Apr 22 2018 daviddavid <daviddavid> 0.8.3-15.mga7
+ Revision: 1221091
- rename python-gpod to python2-gpod
- change dependency mutagen for python2dist(mutagen)
+ kekepower <kekepower>
- Use new make macros

* Thu Mar 03 2016 pterjan <pterjan> 0.8.3-14.mga6
+ Revision: 985250
- Enable mono binding on arm

* Mon Feb 15 2016 umeabot <umeabot> 0.8.3-13.mga6
+ Revision: 961007
- Mageia 6 Mass Rebuild

* Tue Sep 22 2015 daviddavid <daviddavid> 0.8.3-12.mga6
+ Revision: 882256
- add upstream patch to fix a segmentation fault when opening iPod (mga#16800)
  * and also to fix some spelling typos

* Mon Sep 14 2015 fwang <fwang> 0.8.3-11.mga6
+ Revision: 879154
- disable mono tests for now
- force autoreconf
- fix build with mono4
- rebuild for new libplist
+ daviddavid <daviddavid>
- rebuild for new libplist 1.12

* Tue Jul 28 2015 sander85 <sander85> 0.8.3-9.mga6
+ Revision: 858677
- Fix build against swig (patch from Fedora)

* Wed Oct 15 2014 umeabot <umeabot> 0.8.3-8.mga5
+ Revision: 740599
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.8.3-7.mga5
+ Revision: 726718
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.8.3-6.mga5
+ Revision: 681507
- Mageia 5 Mass Rebuild

* Sat Jul 05 2014 tv <tv> 0.8.3-5.mga5
+ Revision: 643451
- switch to pkgconfig() style BRs

* Sat May 31 2014 pterjan <pterjan> 0.8.3-4.mga5
+ Revision: 628295
- Rebuild for new Python

* Sun Mar 30 2014 daviddavid <daviddavid> 0.8.3-3.mga5
+ Revision: 610701
- rebuild for new libplist

* Sat Oct 19 2013 umeabot <umeabot> 0.8.3-2.mga4
+ Revision: 533775
- Mageia 4 Mass Rebuild

* Thu Sep 05 2013 luigiwalser <luigiwalser> 0.8.3-1.mga4
+ Revision: 475274
- 0.8.3
- remove patch0 (fixed upstream)

* Tue Jul 30 2013 fwang <fwang> 0.8.2-8.mga4
+ Revision: 461037
- drop unneeded sharp files

* Tue Jul 09 2013 blino <blino> 0.8.2-7.mga4
+ Revision: 451546
- update to libimobiledevice new api (from teuf @ Red Hat)

* Thu Jun 13 2013 fwang <fwang> 0.8.2-6.mga4
+ Revision: 442336
- rebuild for new libimobiledevices

* Sat Mar 02 2013 rtp <rtp> 0.8.2-5.mga3
+ Revision: 401075
- disable mono package on arm/mips

* Sat Jan 12 2013 umeabot <umeabot> 0.8.2-4.mga3
+ Revision: 357359
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Aug 07 2012 wally <wally> 0.8.2-3.mga3
+ Revision: 279838
- rebuild for new libimobiledevice
- don't regenerate gtk-docs
- drop deprecated HAL parts from .spec

* Sat Apr 21 2012 remmy <remmy> 0.8.2-2.mga2
+ Revision: 232282
- Change dependency on sharp lib into a suggest (closes mga#3429)
+ wally <wally>
- new version 0.8.2
- disable static build
- clean .spec a bit
+ dmorgan <dmorgan>
- Clean spec file

* Mon Jun 20 2011 dmorgan <dmorgan> 0.8.0-5.mga2
+ Revision: 110471
- Rebuild against new libimobiledevice

* Fri Mar 25 2011 ahmad <ahmad> 0.8.0-4.mga1
+ Revision: 77421
- bump rel and submit to core/testing to build against libimobiledevice-1.1.0

* Mon Jan 24 2011 ahmad <ahmad> 0.8.0-3.mga1
+ Revision: 35921
- drop old/unneeded scriptlets
- imported package libgpod


* Mon Nov 01 2010 Götz Waschk <waschk@mandriva.org> 0.8.0-2mdv2011.0
+ Revision: 591430
- build with hal for future backports
- rebuild for python 2.7

* Tue Oct 12 2010 Götz Waschk <waschk@mandriva.org> 0.8.0-1mdv2011.0
+ Revision: 585134
- update to new version 0.8.0

* Wed Sep 29 2010 Götz Waschk <waschk@mandriva.org> 0.7.95-1mdv2011.0
+ Revision: 582071
- new version
- drop patch

* Fri Sep 10 2010 Götz Waschk <waschk@mandriva.org> 0.7.94-3mdv2011.0
+ Revision: 577066
- add missing automake call

* Fri Sep 10 2010 Götz Waschk <waschk@mandriva.org> 0.7.94-2mdv2011.0
+ Revision: 577065
- fix libgpod-sharp dll map
- update python dep

* Wed Sep 01 2010 Götz Waschk <waschk@mandriva.org> 0.7.94-1mdv2011.0
+ Revision: 575012
- new version
- add mono bindings

* Tue Apr 06 2010 Christophe Fergeau <cfergeau@mandriva.com> 0.7.93-1mdv2010.1
+ Revision: 532378
- libgpod 0.7.93

* Mon Mar 22 2010 Christophe Fergeau <cfergeau@mandriva.com> 0.7.92-2mdv2010.1
+ Revision: 526326
- rebuild against new libimobiledevice

* Fri Mar 19 2010 Christophe Fergeau <cfergeau@mandriva.com> 0.7.92-1mdv2010.1
+ Revision: 525233
- libgpod 0.7.92

  + Götz Waschk <waschk@mandriva.org>
    - add all README files and move ChangeLog to the devel package

* Tue Mar 02 2010 Christophe Fergeau <cfergeau@mandriva.com> 0.7.91-1mdv2010.1
+ Revision: 513548
- 0.7.91

* Fri Feb 05 2010 Christophe Fergeau <cfergeau@mandriva.com> 0.7.90-1mdv2010.1
+ Revision: 501129
- libgpod 0.7.90:
- nano5g and iphone support \o/

* Wed Dec 09 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.7.2-2mdv2010.1
+ Revision: 475359
- add patch to fix non-working nano 4g black

* Fri Apr 24 2009 Götz Waschk <waschk@mandriva.org> 0.7.2-1mdv2010.0
+ Revision: 368991
- new version
- fix installation

  + Christophe Fergeau <cfergeau@mandriva.com>
    - add libxml2 to buildrequires

* Mon Jan 19 2009 Götz Waschk <waschk@mandriva.org> 0.7.0-1mdv2009.1
+ Revision: 331104
- new version
- new major
- drop all patches
- fix build deps

* Fri Dec 26 2008 Funda Wang <fwang@mandriva.org> 0.6.0-6mdv2009.1
+ Revision: 319223
- rediff ipod patch
- rebuild for new python

* Wed Jul 30 2008 Götz Waschk <waschk@mandriva.org> 0.6.0-5mdv2009.0
+ Revision: 254898
- fix build with libsgutils2
- fix missing header
- update license

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu Mar 20 2008 Götz Waschk <waschk@mandriva.org> 0.6.0-4mdv2008.1
+ Revision: 189130
- fix several bugs with patches from svn

* Thu Feb 21 2008 Götz Waschk <waschk@mandriva.org> 0.6.0-3mdv2008.1
+ Revision: 173501
- move hal callout to the right dir

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Nov 12 2007 Götz Waschk <waschk@mandriva.org> 0.6.0-2mdv2008.1
+ Revision: 108087
- fix devel name

* Sun Nov 11 2007 Götz Waschk <waschk@mandriva.org> 0.6.0-1mdv2008.1
+ Revision: 108024
- fix buildrequires
- new version
- new major
- add new hal callout

* Sat Jun 23 2007 Götz Waschk <waschk@mandriva.org> 0.5.2-1mdv2008.0
+ Revision: 43402
- new version

* Mon Jun 18 2007 Götz Waschk <waschk@mandriva.org> 0.5.0-1mdv2008.0
+ Revision: 40887
- new version
- new major
- new python-gpod dep on mutagen


* Mon Jan 15 2007 Götz Waschk <waschk@mandriva.org> 0.4.2-2mdv2007.0
+ Revision: 109259
- just increase the release tag
- fix python path
- new version
- new major

* Thu Dec 14 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.4.0-3mdv2007.1
+ Revision: 97036
- Rebuild against new Python

  + Götz Waschk <waschk@mandriva.org>
    - fix python package on x86_64 (Colin Guthrie)
    - Import libgpod

* Sat Oct 07 2006 Götz Waschk <waschk@mandriva.org> 0.4.0-1mdv2007.1
- add python bindings
- fix buildrequires
- update file list
- New version 0.4.0

* Wed Aug 02 2006 Götz Waschk <waschk@mandriva.org> 0.3.2-2mdv2007.0
- fix buildrequires

* Sun Mar 05 2006 Götz Waschk <waschk@mandriva.org> 0.3.2-1mdk
- New release 0.3.2

* Wed Jan 25 2006 Götz Waschk <waschk@mandriva.org> 0.3.0-2mdk
- rebuild for new dbus

* Sun Dec 11 2005 Götz Waschk <waschk@mandriva.org> 0.3.0-1mdk
- New release 0.3.0
- use mkrel

* Sat Dec 03 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.2.0-3mdk
- add BuildRequires: perl-XML-Parser

* Thu Dec 01 2005 Frederic Crozat <fcrozat@mandriva.com> 0.2.0-2mdk
- Remove pmount dependency, it isn't needed at all

* Mon Nov 28 2005 Götz Waschk <waschk@mandriva.org> 0.2.0-1mdk
- initial package

